interactable = {}

function interactable:load()
    if gameMap.layers["interactable"] then
        for _,obj in pairs(gameMap.layers["interactable"].objects) do
            self.collider = world:newRectangleCollider(obj.x, obj.y, obj.width, obj.height)
            world:addCollisionClass("canInteract")
            self.collider:setCollisionClass("canInteract")
            self.collider:setFixedRotation(false)
            self.collider:setType("static")
        end
    end
end

function interactable:draw()
    if gameMap.layers["interactable"] then
        for _,obj in pairs(gameMap.layers["interactable"].objects) do
            if distance(player.x, player.y, obj.x, obj.y) <= 110 then
                text = "please work"
                love.graphics.print(text)
            end
        end
    end
end