require("src.util.distance")
require("test")
require("src.interactable")
--require("src.wall")

player = {}

function player:load()
    self.x = 40
    self.y = 40
    -- r is radius of the circle
    self.r = 40
    self.speed = 200
    self.collider = world:newCircleCollider(self.x, self.y, self.r)
    world:addCollisionClass("Player")
    --world:setCollisionClass("Player")
    player.canMove = true
    player.collider:setFixedRotation(true)
end

function player:draw()
    if distance(self.x, self.y, test.x, test.y) <= 110 then
        love.graphics.print("Interact")
    end
    function bruh()
        love.graphics.print("bruh")
    end
end

function player:update(dt)
    local vx = 0
    local vy = 0
    self.y = player.collider:getY()
    self.x = player.collider:getX()
    self.r = player.collider:getRadius()
    if love.keyboard.isDown("up") and player.canMove == true then
        vy = self.speed * -1
    end
    if love.keyboard.isDown("down") and player.canMove == true then
        vy = self.speed * 1
    end
    if love.keyboard.isDown("left") and player.canMove == true then
        vx = self.speed * -1
    end
    if love.keyboard.isDown("right") and player.canMove == true then
        vx = self.speed * 1
    end

    if love.keyboard.isDown("space") then
        local px, py = player.collider:getPosition()
        colliders = world:queryCircleArea(self.x, self.y, 80, {"canInteract"})
        if #colliders > 0 then
            text = "hello"
        end
    end

    player.collider:setLinearVelocity(vx, vy)
end