wf = require("src.util.lib.windfield")
sti = require("src.util.lib.sti")
require("src.player")
require("src.wall")
require("test")
require("src.interactable")

function love.load()
    interacting = false
    world = wf.newWorld(0, 0) -- sets gravity to zero because its topdown (im assuming)
    gameMap = sti("src/util/maps/map.lua")
    test:load()
    interactable:load()
    player:load()
    wall:load()
end

function love.draw()
    if interacting == true then
        love.graphics.print("Interact")
    end
    gameMap:draw()
    function display(whatever)
        love.graphics.print(whatever)
    end
    test:draw()
    world:draw()
    world:setQueryDebugDrawing(true)
    interactable:draw()
    player:draw()
    wall:draw()
end

function love.update(dt)
    if love.keyboard.isDown("escape") then
        love.event.quit()
    end
    player:update(dt)
    test:update(dt)
    wall:update(dt)
    world:update(dt)
end